// Generated by CoffeeScript 1.4.0
(function() {
  var BaseCacheProvider, moment;

  moment = require('moment');

  /*
    Base Cache Provider
  
    Provides an in-memory cache object.
  */


  BaseCacheProvider = (function() {

    function BaseCacheProvider() {
      this.cacheObject = {};
    }

    BaseCacheProvider.prototype.get = function(index) {
      if (this.cacheObject[index] != null) {
        if (moment(this.cacheObject[index].cachedUntil) <= moment()) {
          delete this.cacheObject[index];
          return null;
        } else {
          return this.cacheObject[index].value;
        }
      } else {
        return null;
      }
    };

    BaseCacheProvider.prototype.set = function(key, value, expires) {
      var toCache;
      toCache = {
        value: value,
        cachedUntil: expires
      };
      return this.cacheObject[key] = toCache;
    };

    return BaseCacheProvider;

  })();

  module.exports = BaseCacheProvider;

}).call(this);
